Libhandy-0.0.13

Introduction à libhandy

Le paquet libhandy fournit des widget graphiques supplémentaires pour GTK qui sont utiles pour développer des interfaces utilisateurs.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

Dépendances de libhandy

Requises

GTK+-3.24.22

Recommandées

Facultatives

GTK-Doc-1.32 et Glade

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/libhandy

Installation de libhandy

Installez libhandy en lançant les commandes suivantes :

mkdir build &&
cd    build &&

meson --prefix=/usr .. &&
ninja

Pour tester les résultats lancez : ninja test. Les tests doivent être lancés depuis une session graphique.

Maintenant, en tant qu'utilisateur root :

ninja install

Explication des commandes

-Dgtk_doc=true : utilisez cette option si vous avez installé GTK-Doc-1.32 et que vous souhaitez installer la documentation.

Contents

Programmes installés: handy-demo-0.0
Bibliothèques installées: libhandy-0.0.so
Répertoires installés: /usr/include/libhandy-0.0

Descriptions courtes

handy-demo-0.0

fournit un exemple d'utilisation de la bibliothèque libhandy.

libhandy-0.0.so

fournit des widget GTK supplémentaires pour créer des interfaces utilisateurs.

Last updated on 2020-03-30 04:31:03 +0000